HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials

HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials (http://www.howtoforge.com/forums/index.php)
-   Installation/Configuration (http://www.howtoforge.com/forums/forumdisplay.php?f=16)
-   -   I need help with PostgreSql (http://www.howtoforge.com/forums/showthread.php?t=12033)

albertux 12th April 2007 04:15

I need help with PostgreSql
 
hello again, i need help to solve a problem with the configuration of the PHP, PhpPgAdmin, PostgreSql and ISPConfig, i installed the PostgreSql-7.4 with the "apt-get install" only, and the PhpPgadmin with the
tutorial writen in this site or in the Howtos: Installing Software on ISPConfig ... but i appears the next error:

Its version of PHP does not have the correct support of data bases.

i really don't know how to solve it and i need help, i try to execute this application changing the configurarion file /etc/php5/apache2/php.ini and adding the line in the "dinamic extension section"

extension=pgsql.so

like i read it in some site, but this didn't work either ... i can't understand this error and i can't do the right configuration and i need help to solve it...

till 12th April 2007 09:43

Which php does not have postgresql support, the ISPConfig php or the PHP for your websites?

albertux 12th April 2007 16:13

good question
 
good question, as it would have to do this?, i really don't know, exist some form to prove this?, please can you tell me how to do...

i try to execute phppgadmin form the "tools and option" in the "administation site" with ispconfig ... from here appears the error :

Its version of PHP does not have the correct support of data bases.

i haven't try execute with another form

thank

albertux 12th April 2007 16:30

reviewing
 
reviewing the phpinfo() function in a site appears this :

PDO Driver for PostgreSQL enabled
PostgreSQL(libpq) Version 8.1.5
Module version 1.0.2
Revision $Id: pdo_pgsql.c,v 1.7.2.11 2006/03/14 10:49:18 edink Exp $

AND

PostgreSQL(libpq) Version 8.1.5
Multibyte character support enabled
SSL support enabled
Active Persistent Links 0
Active Links 0

Directive Local Value Master Value
pgsql.allow_persistent On On
pgsql.auto_reset_persistent Off Off
pgsql.ignore_notice Off Off
pgsql.log_notice Off Off
pgsql.max_links Unlimited Unlimited
pgsql.max_persistent Unlimited Unlimited

reason why I understand that the PHP has the active libreries from the postgresql, but i really don't know I can prove in the ispconfig..

till 12th April 2007 16:52

You will have to recompile the ISPConfig php with postgresql. Please have a look here:

http://www.howtoforge.com/forums/showthread.php?t=193

chaitanyaranade 18th September 2008 07:04

PhpPgAdmin
 
Hello,

You can check solution on your issues. Please check the link below. Let me know if you have any further diffculties.:)
================================================== ========================
Read and respond to this message at:
host.co.in/forums/f37/postgraesql-phppgmyadmin-login-failed-856/
================================================== ========================


chaitanya ranade.
Linux Tech Support Webhosting
(Shared,VPS,Dedicated)

Hans 18th September 2008 09:31

Please have a look here too.

In that readme file you find the info about how to prepair PHP with support for PostgreSQL.

The phpPgAdmin for ISPConfig can be downloaded there as well.


All times are GMT +2. The time now is 14:01.

Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.